Subject: FVWM: menu items

From: badman <[email-masked]>
Date: Tue, 07 Sep 1999 08:53:30 -0400

Hi folks.
I'm new to the list so please be kind ;-/
If someone could please point me to the docs that pertain to creation
setup and altering of menues I will be glad to do the reading. I am in
the process of setting up 125 work stations
in an office and I talked the customer into Red Hat 6.0 but I need to
add programs to menues
and icon links to spacific programs.
Sory about the newbie questions but everybody starts somewhere, rite

spacifics:
All the machines are { I686 pentium pro's 2oo mhz (ya I know) 128 meg
ram s3 trio video
and generic ne2000 pci on ETH0 ..They are already running rh 6 and fvwm
with no trouble and I have installed some .rpm pkgs that put the menu
items where they belong.  So how do I add the links to the menu when the
setup doesn't?

Thank You for your time
Dug

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Dominik Vogt <[email-masked]>
Date: Tue, 7 Sep 1999 18:17:49 +0200

> in an office and I talked the customer into Red Hat 6.0 but I need to

Basically you put the command 'AddToMenu' in the config file, e.g.

  Addtomenu WMMenu "Window managers" Title
  + afterstep Restart afterstep
  + blackbox  Restart blackbox
  + gnome     Beep
  + icewm     Restart icewm
  + kde       Restart kde
  + kwm       Restart kwm
  + olwm      Restart olwm
  + twm       Restart twm

The '+' is just an abbreviation for the last AddToMenu command.
You will find the documentation in the fvwm2 man page. Look for
the AddToMenu command. You may want to read the sections for
'Menu', 'Popup' and 'MenuStyle' too.

Configuring the RedHat setup is a different story. I'm not
familiar with it myself, but there is a section in our FAQ:

  3.1  I use FVWM on a RedHat Linux system and can't figure out how to
       change my FVWM configuration.  I've read the FVWM man page but when
       I edit my .fvwm2rc nothing seems to happen.  What's going on?

  A: RedHat Linux installs the X server accompanied (by default) by a
     configuration management system.  In earlier releases it was called
     TheNextLevel and in more recent releases it's called AnotherLevel.
     For further information about TheNextLevel, consult RedHat's
     documentation in /usr/doc/TheNextLevel/.  For information about
     AnotherLevel, do a 'man AnotherLevel'.

> and icon links to spacific programs.

This is nothing the window manager is doing but usually a task of
the desktop environment (like GNOME, CDE or KDE).  The only hint
I can give you is to try KFM (the file manager of KDE), but this
has a few severe limitations in how it plays with other window
managers than KWM (the window manager of KDE).  A completely
different way of handling this problem is using the FvwmButtons
module of fvwm.  Basically it is a box of buttons that trigger
actions like starting applications, moving windows or switching
pages upon a button press.  It's even possible to make it look
transparent so you could fake the individual icon look.  Please
have a look at the man page.  I have attached of a screenshot
of the FvwmButtons I use.  You will find one of my older
configs in the man page of FvwmButtons (the second full example).

> Sory about the newbie questions but everybody starts somewhere, rite

'course :-) Hope you didn't have any bad experiences with mailing
lists in the past.

> ..They are already running rh 6 and fvwm

Sorry, I don't understand what you mean.  What kind of 'links' are
you talking about?

Bye

Dominik ^_^

-- 
Dominik Vogt, Hewlett-Packard GmbH, Dept. BVS
Herrenberger Str.130, 71034 Boeblingen, Germany
phone: 07031/14-4596, fax: 07031/14-3883, [email-masked]
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: "Thomas A. Gardiner" <[email-masked]>
Date: Tue, 7 Sep 1999 18:46:08 -0400 (EDT)

Hi Dug,

I have not yet upgraded to RH6.0, but if you are using the AnotherLevel
stuff with Fvwm I think I can give you a few pointers.  In what follows I
am going to assume that the directory structure is the same as my RH5.2
system.  If it's not, let me know and I know someone who probably knows
the answer to these questions.

> Sory about the newbie questions but everybody starts somewhere, rite

Right.  If you look at the directory 

/etc/X11/wmconfig/

you will find a bunch of files like xv or acroread which contain
something like this:

$cat /etc/X11/wmconfig/xv
xv name "xv"
xv description "XV Image Viewer and Conversion Util"
xv exec "xv &"
xv group "Graphics"

$ cat /etc/X11/wmconfig/acroread 
acroread name "Acrobat Reader"
acroread description "Adobe Acrobat Reader"
acroread group Applications
acroread exec "acroread &"
acroread mini-icon "mini-pdf.xpm"

Creating a file with this sort of syntax in this directory will
add the menu item (with or without) icon for every user.

> items where they belong.  So how do I add the links to the menu when the

I'm not sure what you mean by links...  If this helps, great.  If not let
say so and I'll try to help.

> Dug

Tom